Attach a published URL to a completed action
curl --request POST \
--url https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/attach \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"publishedUrls": [
"<string>"
],
"changeEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/attach"
payload = {
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"publishedUrls": ["<string>"],
"changeEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
url: '<string>',
publishedUrls: ['<string>'],
changeEventId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/attach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/attach",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'actionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'url' => '<string>',
'publishedUrls' => [
'<string>'
],
'changeEventId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/attach"
payload := strings.NewReader("{\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"url\": \"<string>\",\n \"publishedUrls\": [\n \"<string>\"\n ],\n \"changeEventId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/attach")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"url\": \"<string>\",\n \"publishedUrls\": [\n \"<string>\"\n ],\n \"changeEventId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/attach")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"url\": \"<string>\",\n \"publishedUrls\": [\n \"<string>\"\n ],\n \"changeEventId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"status": "saved",
"candidates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changedAt": "2023-11-07T05:31:56Z",
"kind": "first_discovered"
}
],
"interventionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"measurementStart": "2023-11-07T05:31:56Z",
"measurementBasis": "action_completion"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Attach a published URL to a completed action
Measurement starts at the action completion date, which is the declared went-live date. Crawling and page-tracking allowance do not gate measurement. Retain existing entries in publishedUrls. Existing anchored measurements are preserved; changeEventId supports explicit historical event attachment.
POST
/
projects
/
{projectId}
/
outcomes
/
changes
/
attach
Attach a published URL to a completed action
curl --request POST \
--url https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/attach \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"publishedUrls": [
"<string>"
],
"changeEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/attach"
payload = {
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"publishedUrls": ["<string>"],
"changeEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
url: '<string>',
publishedUrls: ['<string>'],
changeEventId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/attach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/attach",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'actionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'url' => '<string>',
'publishedUrls' => [
'<string>'
],
'changeEventId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/attach"
payload := strings.NewReader("{\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"url\": \"<string>\",\n \"publishedUrls\": [\n \"<string>\"\n ],\n \"changeEventId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/attach")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"url\": \"<string>\",\n \"publishedUrls\": [\n \"<string>\"\n ],\n \"changeEventId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/attach")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"url\": \"<string>\",\n \"publishedUrls\": [\n \"<string>\"\n ],\n \"changeEventId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"status": "saved",
"candidates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changedAt": "2023-11-07T05:31:56Z",
"kind": "first_discovered"
}
],
"interventionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"measurementStart": "2023-11-07T05:31:56Z",
"measurementBasis": "action_completion"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
Path Parameters
Body
application/json